﻿<%@ page language="C#" compilewith="default.aspx.cs" classname="ASP.default_aspx" enableviewstate="true" enablesessionstate="False" %>

<html>
   <head id="Head1" runat="server">
      <title>Client Side Explorer</title>
      
      <script language="javascript">
      
         function OnFolderClick(sFolderPath) { 
            var sMessage = sFolderPath;
            
            // create context variable
            var oContext = new Object();
            oContext.CommandName = "GetFileListing";
            oContext.FolderName = sFolderPath;
                  
            <%=sCallBackFunctionInvocation%>
         }
         
         function OnFileClick(sFileName) {
            var oCurrentFolderBox = document.forms[0].CurrentFolder;
            var sMessage = oCurrentFolderBox.value + "\\" + sFileName; 

            // create context variable
            var oContext = new Object();
            oContext.CommandName = "GetFileInformation";
            oContext.FileName = sFileName;
            
            <%=sCallBackFunctionInvocation%>
         }
         
         function CallBackReturnFunction(sReturnValue, oContext) {
            if (oContext.CommandName == 'GetFileListing') {
            
               // process results for folder listing
               var oFileBox = document.forms[0].FileListing;
               var oCurrentFolderBox = document.forms[0].CurrentFolder;
               
               // set current folder path
               oCurrentFolderBox.value = oContext.FolderName;
               
               // deserialize file string
               var aFiles = sReturnValue.split('|'); 
               
               // clear current file listing
               while(oFileBox.length > 0)
                  oFileBox.options[0] = null;
               
               // create new file listing
               for(i = 0; i<aFiles.length;i++)
                  oFileBox.options[oFileBox.length] = new Option(aFiles[i]);
                  
            } else if (oContext.CommandName == 'GetFileInformation') {
            
               // process result for file information
               alert('File Information for "' + oContext.FileName + '"\n\n'+ sReturnValue);
               
            } else
               alert('Invalid context.');
         }
         
         
         function OnCallBackError(exception,context) {
            alert('Unhandled exception occurred:\n' + exception);
         }
      
      
      </script>
   </head>
   <body>
      <form id="Form1" runat="server">
         <h3>Client Side Explorer</h3>
         <table style="align=center;background-color:#CCCCCC;width:90%;height:90%;border-style:solid;">
            <tr style="height:20;">
               <td colspan="2">
                  <input type="text" id="CurrentFolder" 
                     style="width:100%" name="CurrentFolder"/>
               </td>
            </tr>
            <tr>
               <td style="width:200;background-color:white;vertical-align:top"> 
                  <asp:panel id="TreePanel"
                     runat="Server"
                     scrollbars="Auto"
                     style="width:100%;height:100%;"
                     borderstyle="inset"
                     >
                   
                     <asp:treeview id="FolderTree" runat="server"
                        font-names="Tahoma"
                        font-size="8pt"
                        ImageSet="XP_Explorer"
                        NodeIndent="15"
                        ShowLines="true"
                        PathSeparator="\"
                        PopulateNodesFromClient="true"
                        EnableClientScript="true" /> 
                  
                  </asp:panel>
               </td>
               <td>
                  <select id="FileListing"
                     size="2"
                     style="width:100%;height:100%"
                     OnClick="OnFileClick(this.options[this.selectedIndex].text)"/>
               </td>
            </tr>
         </table>
      </form>
   </body>
</html>
